
#include <stdio.h>
#include <math.h>

#define     PI      3.14159265359

/*  xǥ yǥ  ü */
typedef struct _point
{
    int x;
    int y;
}point;

/*
     ϴ Լ̴.
    Ű A  ǹϸ, BC   ǹѴ.
    , AB AC  ϴ Լ̴.
     갪 3 Ÿ.   0 ̴.
    ̸, ð  ǹ
    ̸, ݽð  ǹ
*/
long long CrossProduct(const point A, const point B, const point C);

/*
      A,B,C  Ǵϴ Լ  A̸, B C   ǹѴ.
        ǴѴ.
    Լ ϰ  ̴.
    (1). ̸ ݽð ̴.
    (2). ̸ ð ̴.
*/
int CCW(point pos1, point pos2, point pos3);

int main(void)
{
    point A = { 1, 1 }; //  
    point B = { 2, 2 }; //  1
    point C = { 3, 1 }; //  2
    
    int res = CCW(A, B, C);

    if (res > 0)
    {
        printf("ݽð \n");
    }
    else if (res < 0)
    {
        printf("ð .\n");
    }
	return 0;
}

/*
     ϴ Լ̴.
    Ű A  ǹϸ, BC   ǹѴ.
    , AB AC  ϴ Լ̴.
     갪 3 Ÿ.   0 ̴.
    ̸, ð  ǹ
    ̸, ݽð  ǹ
*/
long long CrossProduct(const point A, const point B, const point C)
{
    long long z;

    point v1 = { B.x - A.x, B.y - A.y };    //   AB
    point v2 = { C.x - A.x, C.y - A.y };    //   AC

    //   AB  AC  .
    z = ((long long)v1.x * v2.y) - ((long long)v1.y * v2.x);

    //  z  ̸  ð ̸,
    //  z  ̸ ð ̴.

    return z;
}

/*
      A,B,C  Ǵϴ Լ  A̸, B C   ǹѴ.
        ǴѴ.
    Լ ϰ  ̴.
    (1). ̸ ݽð ̴.
    (2). ̸ ð ̴.
*/
int CCW(const point A, const point B, const point C)
{
    long long l = CrossProduct(A, B, C);

    if (l > 0)  return 1;
    else if (l < 0) return -1;
    else return 0;
}

